Bug 1563 - Application installer to send feedback to the providing site if install fails
: Application installer to send feedback to the providing site if install fails
Status: RESOLVED WONTFIX
Product: Settings and Maintenance
Application manager
: 5.0/(2.2009.51-1)
: All Maemo
: Medium enhancement with 1 vote (vote)
: ---
Assigned To: unassigned
: application-manager-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-06-19 15:30 UTC by Kees Jongenburger
Modified: 2012-03-24 11:41 UTC (History)
7 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Kees Jongenburger (reporter) 2007-06-19 15:30:08 UTC
When applications fail to install it would be nice for the developer to know
that it failed, therefore it would be great if the application installer would
send the logs for failed install to the maemo server or a different server
(this could be configured in the .install files).

The logs should contain basic information about the device, and the installer
error.
Comment 1 Urho Konttori 2007-06-19 15:33:24 UTC
Indeed. Sounds very interesting indeed. Although installer would need to ask
user for permission for that. 

Maybe an email address would be the perfect way for random developers and http
post for the rest.
Comment 2 Eero Tamminen nokia 2008-10-07 13:40:55 UTC
> Maybe an email address would be the perfect way for random developers and http post for the rest.

Why not have this integrated to maemo downloads?  All extras packages (for
user/ section) could be listed there automatically with Extras download stats
and installation failure statistics (for the latest version available from
Extras).
Comment 3 Kees Jongenburger (reporter) 2008-10-07 21:14:08 UTC
Yes, That sounds like an excellent start.

Bonus points if we know that we application started but I guess that this is
harder to determine.
Comment 4 Quim Gil nokia 2008-12-30 01:22:10 UTC
This would be indeed a nice feature.
Comment 5 Kees Jongenburger (reporter) 2008-12-30 09:44:07 UTC
Hi have seen specs for this in the MIDP 2.0 (Java on mobile) OTA (Over The
Air). Specifications the section "Status Reports" in the following url shows
what they decided to do.

http://developers.sun.com/mobility/midp/articles/ota/

it might give some more ideas
Comment 6 Niels Breet maemo.org 2008-12-31 11:59:56 UTC
There could be two sorts of reporting:

1. HTTP POST for install status.
This would give you anonymous statistics for installs/updates/failed installes
and even removed packages perhaps. (Reporting could be enabled/disabled via
settings, user will be prompted on first run of AM.)

This could be part of the idea of adding statistics, rating for applications
and comments in the AM.

2. Install failure report
This would function like a crash reporter. It would gather a list of installed
packages, disk space free and a detailed log of the failed install. The user
would have to specifically agree to send this report to our central server. The
user can also specify the email address to be used for further questions.
Comment 7 Quim Gil nokia 2008-12-31 15:12:46 UTC
This, the crash reporter, extras-devel, the beta releases... are starting to
form a Betatester profile. Imagine that a user would join somehow the "Maemo
betatesters" and would get access and accept all these services at once.

There is also http://www.nokia.com/pilots that overlaps somehow with this
concept, but I see this more as a continuous, public and community based
activity ("I'm in Maemo testing/unstable"). Nokia Pilots is based on specific
products and releases: you join a program e.g. "Try out the new Nokia Maps for
S60".
Comment 8 Quim Gil nokia 2009-01-08 16:51:12 UTC
Ville, are you willing to take this featurerequest into the Development
Platform roadmap?
Comment 9 Ville Lavonius nokia 2009-01-08 17:18:26 UTC
(In reply to comment #8)
> Ville, are you willing to take this featurerequest into the Development
> Platform roadmap?

Certainly, extending the feedback given by applications at install/update is
already in.  This bug verifies the need.
Comment 10 Quim Gil nokia 2009-01-08 17:54:33 UTC
Great! Please let us know here when this feature is commited to the Fremantle
or Harmattan plans. What release are you targetting?
Comment 11 Ryan Abel maemo.org 2009-02-13 07:34:39 UTC
(In reply to comment #10)
> Great! Please let us know here when this feature is commited to the Fremantle
> or Harmattan plans. What release are you targetting?
> 

Also, _how_ is it implemented?
Comment 12 Quim Gil nokia 2009-05-18 23:25:29 UTC
Any news on this one? 

Is e.g. the Crash Reporter able to help here or does it need to be something
else?

Fremantle or Harmattan?
Comment 13 Eero Tamminen nokia 2009-05-19 11:26:18 UTC
(In reply to comment #12)
> Is e.g. the Crash Reporter able to help here or does it need to be something else?

Crash reporter is for reporting process crashes (and kernel oopses if one has
created separate partition for them), not a misc feedback agent.  (coredumps
may contain private information so the crash information won't be public,
whereas installation failures should I think)
Comment 14 Andre Klapper maemo.org 2009-06-15 13:00:44 UTC
(In reply to comment #9)
> Certainly, extending the feedback given by applications at install/update is
> already in.  This bug verifies the need.  

Ville, in which version will this be included? Fremantle, Harmattan?
Comment 15 Andre Klapper maemo.org 2009-09-28 19:42:07 UTC
Ville, can you please elaborate the status of this for Fremantle?
Comment 16 Andre Klapper maemo.org 2009-12-30 15:43:34 UTC
Quim, can you ask Ville directly? Seems that emails here don't really help.
Comment 17 Andre Klapper maemo.org 2012-03-24 11:41:15 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )